SDL_EventWatcher Struct Reference
Collaboration diagram for SDL_EventWatcher:
[legend]

## Data Fields

SDL_EventFilter | callback
void * | userdata
SDL_bool | removed

## Detailed Description

Definition at line 41 of file SDL_events.c.

## Field Documentation

## callback

SDL_EventFilter SDL_EventWatcher::callback

Definition at line 42 of file SDL_events.c.

Referenced by SDL_AddEventWatch(), SDL_DelEventWatch(), SDL_GetEventFilter(), SDL_PushEvent(), and SDL_SetEventFilter().

## removed

SDL_bool SDL_EventWatcher::removed

Definition at line 44 of file SDL_events.c.

Referenced by SDL_AddEventWatch(), SDL_DelEventWatch(), and SDL_PushEvent().

## userdata

void* SDL_EventWatcher::userdata

Definition at line 43 of file SDL_events.c.

Referenced by SDL_AddEventWatch(), SDL_GetEventFilter(), SDL_PushEvent(), and SDL_SetEventFilter().

The documentation for this struct was generated from the following file:

- src/events/SDL_events.c